DELETE TimeSaver/DeleteSiteShifts
Request Information
URI Parameters
None.
Body Parameters
SiteShift| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| SiteID | globally unique identifier |
Required |
|
| Name | string |
Required |
|
| Code | string |
None. |
|
| DateStart | date |
Required |
|
| DateEnd | date |
Required |
|
| DayID | SiteDay |
Required |
|
| StartTime | time interval |
Required |
|
| EndTime | time interval |
Required |
|
| StartBeforeThreshold | time interval |
None. |
|
| StartAfterThreshold | time interval |
None. |
|
| EndBeforeThreshold | time interval |
None. |
|
| EndAfterThreshold | time interval |
None. |
|
| BreakTime | time interval |
None. |
|
| IsActive | boolean |
Required |
|
| IsNightShift | boolean |
Required |
|
| WorkingHours | decimal number |
Required |
|
| AutoClockOutTime | time interval |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "96a393a4-c8b3-4051-b89c-54dafc0cec93",
"siteID": "4c295a10-4398-4a8f-ad59-c153e57533fa",
"name": "sample string 3",
"code": "sample string 4",
"dateStart": "2026-06-12T22:59:57.8384645+00:00",
"dateEnd": "2026-06-12T22:59:57.8384645+00:00",
"dayID": 0,
"startTime": "00:00:00.1234567",
"endTime": "00:00:00.1234567",
"startBeforeThreshold": "00:00:00.1234567",
"startAfterThreshold": "00:00:00.1234567",
"endBeforeThreshold": "00:00:00.1234567",
"endAfterThreshold": "00:00:00.1234567",
"breakTime": "00:00:00.1234567",
"isActive": true,
"isNightShift": true,
"workingHours": 11.0,
"autoClockOutTime": "00:00:00.1234567"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.